import { type Config } from '@pnpm/config';
import { type RebuildCommandOpts } from '@pnpm/plugin-commands-rebuild';
export type ApproveBuildsCommandOpts = Pick<Config, 'modulesDir' | 'dir' | 'rootProjectManifest' | 'rootProjectManifestDir'>;
export declare const commandNames: string[];
export declare function help(): string;
export declare function cliOptionsTypes(): Record<string, unknown>;
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare function handler(opts: ApproveBuildsCommandOpts & RebuildCommandOpts): Promise<void>;
